## python-hildondesktop 0.0.2-1maemo1

=== examples/Makefile ===

install:
	cp my-plugin.desktop `pkg-config libhildondesktop-1 --variable=hildonhomedesktopentrydir`
	cp myplugin.py `pkg-config libhildondesktop-1 --variable=hildondesktoplibdir`

## python-hildondesktop 0.0.2-1

=== debian/changelog ===
python-hildondesktop (0.0.2-1) unstable; urgency=low

  * Update package dependencies to Python 2.5. 

 -- Lucas Rocha <lucas.rocha@nokia.com>  Fri, 26 Oct 2007 11:02:00 +0300

python-hildondesktop (0.0.1-1) unstable; urgency=low

  * Update HomeAre so that it inherits from GtkContainer instead 
  of GtkFixed
  * Several updates to match latest API changes.

 -- Lucas Rocha <lucas.rocha@nokia.com>  Fri,  8 Jun 2007 17:16:28 +0300

python-hildondesktop (0.0.0-7) unstable; urgency=low

  * Removed save_position method from HomeItem.

 -- Lucas Rocha <lucas.rocha@nokia.com>  Thu, 29 Mar 2007 12:36:30 +0300

python-hildondesktop (0.0.0-6) unstable; urgency=low

  * Several updates to match API changes.
  * 0.0.0-7

 -- Lucas Rocha <lucas.rocha@nokia.com>  Thu, 29 Mar 2007 12:36:12 +0300

python-hildondesktop (0.0.0-5) unstable; urgency=low

  * More build dependency fixes.

 -- Lucas Rocha <lucas.rocha@nokia.com>  Tue, 06 Mar 2007 10:28:12 +0200

python-hildondesktop (0.0.0-4) unstable; urgency=low

  * More build dependency fixes.

 -- Lucas Rocha <lucas.rocha@nokia.com>  Tue, 06 Mar 2007 09:55:12 +0200

python-hildondesktop (0.0.0-3) unstable; urgency=low

  * Build dependency fixes.

 -- Lucas Rocha <lucas.rocha@nokia.com>  Fri, 02 Mar 2007 14:18:12 +0200

python-hildondesktop (0.0.0-2) unstable; urgency=low

  * Several updates to match API changes.

 -- Lucas Rocha <lucas.rocha@nokia.com>  Wed, 22 Feb 2007 17:10:12 +0200

python-hildondesktop (0.0.0-1) unstable; urgency=low

  * Initial Release.

 -- Moises Martinez <moises.martinez@nokia.com>  Tue, 16 Jan 2007 16:40:12 +0200

=== debian/control ===
Source: python-hildondesktop
Section: libs
Priority: optional
Maintainer: Lucas Rocha <lucas.rocha@nokia.com>
Build-Depends: debhelper (>= 4.0.0), pkg-config, hildon-desktop-dev, python2.5, python2.5-dev, python2.5-gtk2-dev, libhildondesktop-dev
Standards-Version: 3.6.1

Package: python2.5-hildondesktop
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python2.5-hildon
Description: Python bindings for libhildondesktop
 Python binding for set of widgets provided by libhildondesktop

Package: hildon-desktop-python-loader
Section: libs
Architecture: any
Depends: hildon-desktop, python2.5, ${misc:Depends}
Description: Hildon Desktop Python Plugin Loader
 Plugin Loader for Hildon Desktop for loading python plugins

## python-hildondesktop 0.0.2-1maemo1

=== debian/changelog ===
python-hildondesktop (0.0.2-1maemo1) unstable; urgency=low

  * New version from Ubuntu
  * Drop python2.6 requirement
  * Change 'dist-packages' to 'site-packages' in install file
  * Change hildon-desktop-dev to libhildondesktop1-dev in Build-Depends

 -- Bruno dos Santos de Araujo <bruno.araujo@indt.org.br>  Wed,  6 May 2009 10:08:27 -0400

python-hildondesktop (0.0.2-0ubuntu5) jaunty; urgency=low

  * No-change rebuild to fix lpia shared library dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2009 16:50:12 +0100

python-hildondesktop (0.0.2-0ubuntu4) jaunty; urgency=low

  * Update the patch to drop a number of other functions.

 -- Steve Kowalik <stevenk@ubuntu.com>  Thu, 12 Mar 2009 14:03:43 +1100

python-hildondesktop (0.0.2-0ubuntu3) jaunty; urgency=low

  * Doh! Python 2.6 uses dist-packages, not site-packages.

 -- Steve Kowalik <stevenk@ubuntu.com>  Mon, 02 Mar 2009 15:52:35 +1100

python-hildondesktop (0.0.2-0ubuntu2) jaunty; urgency=low

  * Update to Python 2.6.
  * Clean up rules a little.
  * Sprinkle in dpatch.
  * Add a patch to build against hildon-desktop by removing set_batch_add.

 -- Steve Kowalik <stevenk@ubuntu.com>  Mon, 02 Mar 2009 12:24:39 +1100

python-hildondesktop (0.0.2-0ubuntu1) intrepid; urgency=low

  [ Steve Kowalik ]
  * Update to 0.0.2, target to Intrepid. (LP: #272085)
  * Clean up dependencies, and use python-support.

  [ Adilson Oliveira ]
  * Fixed python-gtk2-dev dependency.
  * Changed aclocal-1.7 to aclocal in autogen.sh 

  [ Tollef Fog Heen ]
  * Get rid of useless debian/debian file.
  * Remove shared library gunk from debian/rules.
  * Fix configure target; get rid of configure-stamp-target
  * Add COPYING.LIB and write up debian/changelog.
  * Add missing libtool, automake, autoconf build dependencies.
  * Add versioned build-dependency on working libhildondesktop-dev for
    working .pc file.
  * Set maintainer to Ubuntu Mobile list.

 -- Steve Kowalik <stevenk@ubuntu.com>  Mon, 22 Sep 2008 15:01:27 +1000

=== debian/control ===
Source: python-hildondesktop
Section: python
Priority: optional
Maintainer: Ubuntu Mobile Developers <ubuntu-mobile@lists.ubuntu.com>
XSBC-Original-Maintainer: Moises Martinez <moises.martinez@nokia.com>
Build-Depends: debhelper (>= 5), dpatch, python-support, pkg-config, python-dev, python-gtk2-dev, libhildondesktop1-dev, libtool, automake, autoconf
Standards-Version: 3.8.0

Package: python-hildondesktop
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Python bindings for libhildondesktop
 Python binding for set of widgets provided by libhildondesktop

Package: hildon-desktop-python-loader
Section: libs
Architecture: any
Depends: hildon-desktop, ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}
Description: Hildon Desktop Python Plugin Loader
 Plugin Loader for Hildon Desktop for loading Python plugins

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpatch/dpatch.make

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -ggdb -DDEBUG
endif

export PYTHON=python2.5

configure: configure-stamp
configure-stamp: patch-stamp
	dh_testdir
	./autogen.sh
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --sysconfdir=/etc --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-dependency-tracking
	touch $@

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch $@

clean: clean-patched unpatch
clean-patched:
	dh_testdir
	dh_testroot
	rm -f *-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -fr debian/build	
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/build
	touch $@

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_install --sourcedir=debian/build -v
	dh_installmime
	dh_installman
	dh_link
	dh_pysupport
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

get-orig-source:
	bzr export python-hildondesktop lp:~vcs-imports/python-hildondesktop/trunk
	rm -rf python-hildondesktop/debian
	tar zcf python-hildondesktop.orig.tar.gz python-hildondesktop
	rm -rf python-hildondesktop

.PHONY: build clean binary-indep binary-arch binary install get-orig-source

## python-hildondesktop 0.0.2-2

=== debian/changelog ===
python-hildondesktop (0.0.2-2) unstable; urgency=low

  * Now the bindings depends on the plugin loader.

 -- Daniel Martin Yerga <dyerga@gmail.com>  Wed, 30 Jul 2008 18:35:00 +0200

=== debian/control ===
Source: python-hildondesktop
Section: libs
Priority: optional
Maintainer: Lucas Rocha <lucas.rocha@nokia.com>
Build-Depends: debhelper (>= 4.0.0), pkg-config, hildon-desktop-dev, python2.5, python2.5-dev, python2.5-gtk2-dev, libhildondesktop-dev
Standards-Version: 3.6.1

Package: python2.5-hildondesktop
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python2.5-hildon, hildon-desktop-python-loader
Description: Python bindings for libhildondesktop
 Python binding for set of widgets provided by libhildondesktop

Package: hildon-desktop-python-loader
Section: libs
Architecture: any
Depends: hildon-desktop, python2.5, ${misc:Depends}
Description: Hildon Desktop Python Plugin Loader
 Plugin Loader for Hildon Desktop for loading python plugins

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring maemo-launcher,$(DEB_BUILD_OPTIONS)))
   LAUNCHER = yes
endif

ifeq "$(strip $(LAUNCHER))" "yes"
   LAUNCHER_DEPENDS = -Vlauncher:Depends="maemo-launcher"
   LAUNCHER_LDFLAGS = -shared
endif

# Use soft-float and thumb mode if it enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -mthumb -fPIC
endif

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -ggdb -DDEBUG
endif

# shared library versions, option 1
version=0.0.0
major=0
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

config.status: configure
	dh_testdir
# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --sysconfdir=/etc --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-dependency-tracking


build: build-stamp
build-stamp:  config.status
	dh_testdir

# Add here commands to compile the package.
	$(MAKE) LAUNCHER_LDFLAGS="$(LAUNCHER_LDFLAGS)"
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

# Add here commands to clean up after the build process.
	-$(MAKE) distclean
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
#	dh_clean -k 
	dh_installdirs

# Add here commands to install the package into debian/build
	$(MAKE) install DESTDIR=$(CURDIR)/debian/build
#ifeq "$(strip $(LAUNCHER))" "yes"
#	mv debian/build/usr/bin/hildon-desktop debian/build/usr/bin/hildon-desktop.launch
#	ln -s maemo-invoker debian/build/usr/bin/hildon-desktop
#endif

configure: configure-stamp

configure-stamp:
	dh_testdir
	./autogen.sh
	touch configure-stamp

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
#	dh_installexamples
	dh_installdocs
	dh_install --sourcedir=debian/build -v
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip --dbg-package="hildon-desktop" --dbg-package="libhildondesktop0" --dbg-package="libhildonwm0"
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
	dh_makeshlibs -V
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- $(LAUNCHER_DEPENDS)
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## python-hildondesktop 0.0.3-1maemo1

=== debian/changelog ===
python-hildondesktop (0.0.3-1maemo1) unstable; urgency=low

  * Increment version due to various API changes to match Maemo 5 API.
  * Simplify loader code and fix some bugs.
  * Add python2.5-hildondesktop to python-hildondesktop Provides field.
  * Make hildon-desktop-python-loader depend on python-hildondesktop (used to
    check if the object returned by the widget is of correct type).

 -- Anderson Lizardo <anderson.lizardo@indt.org.br>  Mon, 25 May 2009 19:01:25 -0400

## python-hildondesktop 0.0.3-1maemo2

=== debian/changelog ===
python-hildondesktop (0.0.3-1maemo2) unstable; urgency=low

  * loader/hd-plugin-loader-python.c
    - Temporarily disable a sanity check for allowing status menu
      widgets to run;
  * libhildondesktop/hildondesktop.defs:
    - Add ctors for StatusPluginItem and StatusMenuItem.

 -- Bruno dos Santos de Araujo <bruno.araujo@indt.org.br>  Tue, 22 Sep 2009 16:13:07 -0400

## python-hildondesktop 0.1.0-1maemo1

=== debian/changelog ===
python-hildondesktop (0.1.0-1maemo1) unstable; urgency=low

  * Bump version due to (unavoidable) API changes. Fixes: MB#5232.
  * Fix current maintainers in AUTHORS and debian/copyright.

 -- Anderson Lizardo <anderson.lizardo@indt.org.br>  Sat, 17 Oct 2009 17:43:20 -0400

=== debian/control ===
Source: python-hildondesktop
Section: python
Priority: optional
Maintainer: PyMaemo Team <pymaemo-developers@garage.maemo.org>
XSBC-Original-Maintainer: Ubuntu Mobile Developers <ubuntu-mobile@lists.ubuntu.com>
Build-Depends: debhelper (>= 5), python-support, pkg-config, python-dev, python-gtk2-dev, libhildondesktop1-dev, libtool, automake, autoconf
Standards-Version: 3.8.0

Package: python-hildondesktop
Architecture: any
Provides: python2.5-hildondesktop
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Python bindings for libhildondesktop
 Python binding for set of widgets provided by libhildondesktop

Package: hildon-desktop-python-loader
Section: libs
Architecture: any
Depends: hildon-desktop, ${shlibs:Depends}, ${python:Depends}, ${misc:Depends}, python-hildondesktop
Description: Hildon Desktop Python Plugin Loader
 Plugin Loader for Hildon Desktop for loading Python plugins

## python-hildondesktop 0.1.0-1maemo2

=== debian/changelog ===
python-hildondesktop (0.1.0-1maemo2) unstable; urgency=low

  * Allow StatusPluginItem.set_status_area_icon() to accept None as parameter,
    effectively unsetting the icon (Fixes: MB#6136)
  * Whitespace cleanup in hildondesktop.override
  * Fixes to hildondesktop_gen_defs.sh

 -- Anderson Lizardo <anderson.lizardo@indt.org.br>  Thu, 12 Nov 2009 07:54:40 -0400

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -ggdb -DDEBUG
endif

PY = $(shell pyversions -d)

configure: configure-stamp
configure-stamp:
	dh_testdir
	./autogen.sh
	PYTHON="$(PY)" CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --sysconfdir=/etc --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --disable-dependency-tracking
	touch $@

build: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
	touch $@

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_install --sourcedir=debian/tmp -v
	dh_installmime
	dh_installman
	dh_link
	dh_pysupport
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

.PHONY: build clean binary-indep binary-arch binary install

## python-hildondesktop 0.1.0-1maemo3

=== debian/changelog ===
python-hildondesktop (0.1.0-1maemo3) unstable; urgency=low

  * Add temporary workaround for displaying Python widgets as soon as
    hildon-desktop-python-loader is installed, without rebooting the
    device.
    See https://bugs.maemo.org/show_bug.cgi?id=9370 for more information.

 -- Bruno dos Santos de Araujo <bruno.araujo@openbossa.org>  Wed,  3 Mar 2010 09:32:48 -0400
